| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
GL

# Method GL.glLoadIdentity()

Method glLoadIdentity

  `void glLoadIdentity()`

Description

  glLoadIdentity replaces the current matrix with the identity matrix. It is semantically equivalent to calling glLoadMatrix with the identity matrix

  .ce

  .EQ left ( down 20 { ~ matrix { ccol { 1 above 0 above 0 above 0~ } ccol { 0 above 1 above 0 above 0~ } ccol { 0 above 0 above 1 above 0~ } ccol { 0 above 0 above 0 above 1 } } } ~~ right ) .EN

  but in some cases it is more efficient.

Throws

  GL_INVALID_OPERATION is generated if glLoadIdentity is executed between the execution of glBegin and the corresponding execution of glEnd .